PHP-инклюдинг в PHPauction GPL

Дата публикации:
18.03.2008
Всего просмотров:
1543
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-1416
CVE-2008-3487
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHPauction GPL 2.x
Уязвимые версии: PHPauction GPL 2.51, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "include_path" в сценариях includes/converter.inc.php, includes/messages.inc.php и includes/settings.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/auction/includes/converter.inc.php?include_path=[file]

URL производителя: www.johnrayfield.com/phpauction/index.html

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA